Skip to main content
GET
/
dr
/
v1
/
business
/
clinic
/
{clinic_id}
Get Clinic details
curl --request GET \
  --url https://api.eka.care/dr/v1/business/clinic/{clinic_id} \
  --header 'auth: <auth>'
import requests

url = "https://api.eka.care/dr/v1/business/clinic/{clinic_id}"

headers = {"auth": "<auth>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {auth: '<auth>'}};

fetch('https://api.eka.care/dr/v1/business/clinic/{clinic_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "clinic": {
      "clinic_id": "62e7929ab123a6001e80e833",
      "name": "DIABETES AND ENDOCRINE CLINIC",
      "address": {
        "city": "Bangalore",
        "country": "India",
        "lat": 20.1777602,
        "line1": "302, 3rd floor, RK",
        "lon": 71.8255817,
        "pincode": 560048,
        "state": "Karnataka"
      }
    }
  }
}
{
"success": false,
"code": "CLINIC_NOT_FOUND",
"message": "The specified clinic_id does not exist"
}
{
"success": false,
"code": "SERVER_ERROR",
"message": "An unexpected error occurred on the server"
}

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth API.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"

Path Parameters

clinic_id
string
required

Unique identifier for the clinic

Example:

"62e7929ea968a6001e80e833"

Response

OK

success
boolean
Example:

true

data
object